#include <stdio.h>

main(int argc, char *argv[])
{
	FILE *f;
	char carr[100];
	int i, j;
	int nframes;
	int npoints;
	int partial;
	float timeval, freq, amp;
	float freqchange;

	f = fopen("Eb1.txt-resampleframes", "r");

// do the header data
	// first line
	fscanf(f, "%s", carr);
	printf("%s\n", carr);

	// second line
	fscanf(f, "%s", carr);
	printf("%s ", carr);
	fscanf(f, "%s", carr);
	printf("%s ", carr);
	fscanf(f, "%s", carr);
	printf("%s ", carr);
	fscanf(f, "%s", carr);
	printf("%s\n", carr);

	// third line, and get the number of partials
	fscanf(f, "%s", carr);
	printf("%s ", carr);
	fscanf(f, "%s", carr);
	printf("%s\n", carr);

	// fourth line
	fscanf(f, "%s %d", carr, &nframes);
	printf("%s %d\n", carr, nframes);

	// fifth line
	fscanf(f, "%s", carr);
	printf("%s\n", carr);

// now grab each partial, find the number of points, and read/modify/write
	freqchange = 1.0;
	for (i = 0; i < nframes; i++) {
		fscanf(f, "%f %d", &timeval, &npoints);
		printf("%f %d ", timeval, npoints);

		for (j = 0; j < npoints; j++) {
			fscanf(f, "%d %f %f", &partial, &freq, &amp);
			if (freq < 700.0) freq = freq + freqchange;
			else freq = freq - freqchange;
			printf("%d %f %f ", partial, freq, amp);
		}
		printf("\n");
		freqchange = freqchange + 1.0;
	}
}
